ypserv.conf(5)

NAME
ypserv.conf - configuration file for ypserv and rpc.ypxfrd

DESCRIPTION
ypserv.conf is an ASCII file which contains some options for ypserv. It also contains a list of rules for special host and map access for ypserv and rpc.ypxfrd. This file will be read from ypserv and rpc.ypxfrd by startup, or by arriving a SIGHUP signal. There is one entry per line. If the line is a option line, the format is:

    option: [yes|no]

The line for a access rule has the format:

    host:map:security:mangle[:field]

All rules are tried one by one. If no match is found, access to a map is allowed. Following options exist:

dns the NIS server will query the nameserver for hostnames, which are not found in the hosts.* maps. The default is "no". You could overwrite it with the "-dns" commandline option. A "no" will not overwrite the "-dns" option.

sunos_kludge
    This is just to make ypserv reply to YP version 1 calls which SunOS 4's ypbind seems to insist on finding. If someone really tries to use this then they will probably be bitten hard, since the XDR calls for YP version 1 are not implemented. The Domain_NoNack call seems to be compatible. The default is "yes".

tryresolve
    If ypserv is linked with a gethostbyaddr function, which query's the nameserver directly and do not use the NIS service, ypserv will print the FQDN in the error messages and not the IP number. The default is "no".

The field descriptions for the access rule lines are:

host
    IP address. Wildcards are allowed.
    Examples:
    131.234. = 131.234.0.0/255.255.0.0
    131.234.214.0/255.255.254.0

map name of the map, or asterisk for all maps.

security
    one of none, port, deny, des:

none
    always allow access. Mangle the passwd field if so configured, default is not.

port
    allow access if from port < 1024. Otherwise if mangle are not set,
     do not allow access. If mangle is set to "yes", allow access, but mangle the passwd field.

deny
    deny access to this map.

des requires DES authentication. Not supported by most libc's in the moment. You could mangle the passwd field if so configured, default is not.

mangle
    possible values are "yes" or "no". If "yes", the field entry will be mangled. Mangling means that the field is replaced by 'x' if the port check reveals the request originated from somebody unpriviliged.

field
    Which field should be mangled. The default is the 2nd field.

FILES
/usr/etc/ypserv.conf

SEE ALSO
ypserv(8), rpc.ypxfrd(8)

WARNINGS
The access rules for special maps are no real improvement in security, but it makes the life a little bit harder for potential hacker.

AUTHOR
Thorsten Kukuk <kukuk@uni-paderborn.de>